<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Radio Button</title>
    <script src="../../static/jquery/jquery-3.4.1.min.js"></script>
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div class="content">
        <laber>Yes / No</laber>
        <input id="ch01" name="choice" type="radio" value="1" />Yes
        <input id="ch02" name="choice" type="radio" value="0" />No
        <div id='console' class="console"></div>
        <button id='btnChange'> CHANGE </button>
    </div>
    <script>
        $(function() {
            var $choice = $('[name=choice]');
            var $console = $('#console');
            var $btnChange = $('#btnChange');
            var $ch01 = $('#ch01');
            var $ch02 = $('#ch02');
            var isChecked = true;
            $choice.off('change').on('change', function() {
                let choice = $("[name=choice]:checked").val();
                if (choice == 1) {
                    $console.text('choice : Yes');
                } else {
                    $console.text('choice : No');
                }
            });

            $btnChange.off('click').on('click', function() {
                if (isChecked == true) {
                    $ch02.attr('checked', false);
                    $ch01.attr('checked', true);
                } else {
                    $ch01.attr('checked', false);
                    $ch02.attr('checked', true);
                }
                isChecked = !isChecked;
            })
        });

    </script>
</body>

</html>
